package org.bench4q.monitor.performance.windows;

public class ProcessorInformationMonitor {
	public native String[] getInstances();

	public native String[] getCounterList();

	public native double getPerformanceLimitFlags(String instanceName);

	public native double getPerformanceLimitPercent(String instanceName);

	public native double getPrivilegedUtilityPercent(String instanceName,
			int idleTime);

	public native double getProcessorUtilityPercent(String instanceName,
			int idleTime);

	public native double getProcessorPerformancePercent(String instanceName,
			int idleTime);

	public native double getIdleBreakEventsPerSecond(String instanceName,
			int idleTime);

	public native double getAverageIdleTime(String instanceName, int idleTime);

	public native double getClockInterruptsPerSecond(String instanceName,
			int idleTime);

	public native double getProcessorStateFlags(String instanceName);

	public native double getPercentageOfMaximumFrequency(String instanceName);

	public native double getProcessorFrequency(String instanceName);

	public native double getParkingStatus(String instanceName);

	public native double getPriorityTimePercent(String instanceName,
			int idleTime);

	public native double getC3TransitionsPerSecond(String instanceName,
			int idleTime);

	public native double getC2TransitionsPerSecond(String instanceName,
			int idleTime);

	public native double getC1TransitionsPerSecond(String instanceName,
			int idleTime);

	public native double getC3TimePercent(String instanceName, int idleTime);

	public native double getC2TimePercent(String instanceName, int idleTime);

	public native double getC1TimePercent(String instanceName, int idleTime);

	public native double getIdleTimePercent(String instanceName, int idleTime);

	public native double getDpcRate(String instanceName);

	public native double getDpcsQueuedPerSecond(String instanceName,
			int idleTime);

	public native double getInterruptTimePercent(String instanceName,
			int idleTime);

	public native double getDpcTimePercent(String instanceName, int idleTime);


	
	native double getInterruptsPerSecond(String instanceName,
			int idleTime);

	public native double getPrivilegedTimePercent(String instanceName,
			int idleTime);

	public native double getUserTimePercent(String instanceName, int idleTime);

	public native double getProcessorTimePercent(String instanceName,
			int idleTime);
}
